Webmail needs Internet Explorer version 9 or newer or other modern browser (Google Crome, Mozilla Firefox, Safari, Opera, etc. ).

If you use Internet Explorer 8 please choose Basic Mode

Μπορείτε πάντα να χρησιμοποιήσετε Webmail Express